Ticket #36579

一部の死因で「死んだ」が表示されない

Open Date: 2016-08-23 23:14 Last Update: 2016-12-07 21:36

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed

Details

死因が「自分自身の杖の力を浴びて」となり、墓石に「死んだ」が表示されませんでした。

logfile、xlogfileを確認したところ、以下のようになっていました。

 「ジャガーに殺された」

 「階段を転げ落ちて死んだ」

 「グレイスワンダーに触れて死んだ」

 「壁を蹴って死んだ」

 「稲妻の閃光によって死んだ」

 「自分自身の杖の力を浴びて」

大抵の場合は死因にも「死んだ」が含まれているのですが…。

他に同様の事例があるかは不明。

確認お願いします。

Attachment File List

No attachments

Ticket History (3/5 Histories)

2016-08-23 23:14 Updated by: ssakusha
  • New Ticket "一部の死因で「死んだ」が表示されない?" created
2016-08-30 04:22 Updated by: argrath
  • Owner Update from (None) to argrath
  • Summary Updated
Comment

怪物以外の理由で死んだ場合、killer.formatをNO_KILLER_PREFIXではなくKILLED_BYにする必要がありますが、処理が抜けているところがありました。

2016-08-30 04:22 Updated by: argrath
  • Milestone Update from (None) to 3.6.0-0.7 (closed)
  • Resolution Update from None to Accepted
2016-08-31 04:03 Updated by: argrath
  • Resolution Update from Accepted to Fixed
Comment

1ac09e0 で修正しました。

2016-12-07 21:36 Updated by: argrath
  • Ticket Close date is changed to 2016-12-07 21:36
  • Status Update from Open to Closed
Comment

リリースされたので閉じます。

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login